Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.singularsys.jep.misc
Class CaseInsensitiveVariableTable

    java.lang.Object
      java.util.Observable
          com.singularsys.jep.VariableTable
              com.singularsys.jep.misc.CaseInsensitiveVariableTable

All Implemented Interfaces:
  JepComponent, java.io.Serializable

    public class CaseInsensitiveVariableTable

extends VariableTable

A Variable table which ignores case. The case of the first instance of each variable is preserved.

Author:
  Richard Morris
See Also:
  Serialized Form

Field Summary

Fields inherited from class com.singularsys.jep.VariableTable
`table, vf`

Constructor Summary
`CaseInsensitiveVariableTable()`
`CaseInsensitiveVariableTable(VariableTable tbl)`

Method Summary
`Variable` | `addVariable(java.lang.String name)` Adds a new variable with no value specified.
`Variable` | `addVariable(java.lang.String name, java.lang.Object value)` Adds a new variable with specified value.
`JepComponent` | `getLightWeightInstance()` Returns a new empty VariableTable.
`Variable` | `getVariable(java.lang.String name)` Gets an existing variable, returns null if variable is not found.

Methods inherited from class com.singularsys.jep.VariableTable
`addConstant, clear, containsKey, containsVariable, copyConstantsFrom, copyVariablesFrom, getVariableFactory, getVariables, init, isEmpty, keySet, remove, remove, setVariableFactory, size, toString, values`

Methods inherited from class java.util.Observable
`addObserver, clearChanged, countObservers, deleteObserver, deleteObservers, hasChanged, notifyObservers, notifyObservers, setChanged`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CaseInsensitiveVariableTable

    public CaseInsensitiveVariableTable()

### CaseInsensitiveVariableTable

    public CaseInsensitiveVariableTable(VariableTable tbl)

Method Detail

### addVariable

    public Variable addVariable(java.lang.String name)

  Adds a new variable with no value specified.

  Overrides:
    `addVariable` in class `VariableTable`
  Parameters:
    `name` -
  Returns:
    the variable

### addVariable

    public Variable addVariable(java.lang.String name,
                                java.lang.Object value)
                         throws JepException

  Adds a new variable with specified value.

  Overrides:
    `addVariable` in class `VariableTable`
  Parameters:
    `name` -
    `value` -
  Returns:
    the variable
  Throws:
    `JepException` - if an attempt is made to set the value of a constant variable

### getVariable

    public Variable getVariable(java.lang.String name)

  Gets an existing variable, returns null if variable is not found.

  Overrides:
    `getVariable` in class `VariableTable`
  Parameters:
    `name` -
  Returns:
    the variable

### getLightWeightInstance

    public JepComponent getLightWeightInstance()

  Description copied from class: `VariableTable`
  Returns a new empty VariableTable.

  Specified by:
    `getLightWeightInstance` in interface `JepComponent`
  Overrides:
    `getLightWeightInstance` in class `VariableTable`
  Returns:
    a new VariableTable
  See Also:
    `VariableTable.copyConstantsFrom(VariableTable)`, `VariableTable.copyVariablesFrom(VariableTable)`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Singular Systems http://www.singularsys.com/jep